Skip to main content
`Ctrl`+`K`

# slepc4py.SLEPc

Scalable Library for Eigenvalue Problem Computations

Classes

`BV` | Basis Vectors.
`DS` | Direct Solver (or Dense System).
`EPS` | Eigenvalue Problem Solver.
`FN` | Mathematical Function.
`LME` | Linear Matrix Equation.
`MFN` | Matrix Function.
`NEP` | Nonlinear Eigenvalue Problem Solver.
`PEP` | Polynomial Eigenvalue Problem Solver.
`RG` | Region.
`ST` | Spectral Transformation.
`SVD` | Singular Value Decomposition Solver.
`Sys` | System utilities.
`Util` | Other utilities such as the creation of structured matrices.

Attributes

`DECIDE` | Constant `DECIDE` of type `int`
`DEFAULT` | Constant `DEFAULT` of type `int`
`DETERMINE` | Constant `DETERMINE` of type `int`
`CURRENT` | Constant `CURRENT` of type `int`